      program sample2
      include 'mpif.h'
      integer ierr,myrank,nprocs
      call MPI_INIT(ierr)
      call MPI_COMM_RANK(MPI_COMM_WORLD,myrank,ierr)
      call MPI_COMM_SIZE(MPI_COMM_WORLD,nprocs,ierr)
      print *,"Hello World   My rank=",myrank,"(",nprocs,"processes)"
      call MPI_FINALIZE(ierr)
      stop
      end
